Skip to main content
DELETE
/
v1
/
messages
/
:id
curl --location --request DELETE 'https://api.stateset.com/v1/messages/:id' \
--header 'Content-Type: application/json' \
--header 'Authorization: Token <token>' \
--data-raw '{
		"id": "msg_1NXWPnCo6bFb1KQto6C8OWvE"
}'
{
  "id": "ct_1NXWPnCo6bFb1KQto6C8OWvE",
  "object": "channel_thread",
  "deleted": true
}

Documentation Index

Fetch the complete documentation index at: https://docs.stateset.com/llms.txt

Use this file to discover all available pages before exploring further.

Body

message_id
string
The ID provided in the data tab may be used to identify the message

Response

id
string
The ID provided in the data tab may be used to identify the message
object
string
The object type
success
number
Indicates whether the call was successful. 1 if successful, 0 if not.
curl --location --request DELETE 'https://api.stateset.com/v1/messages/:id' \
--header 'Content-Type: application/json' \
--header 'Authorization: Token <token>' \
--data-raw '{
		"id": "msg_1NXWPnCo6bFb1KQto6C8OWvE"
}'
{
  "id": "ct_1NXWPnCo6bFb1KQto6C8OWvE",
  "object": "channel_thread",
  "deleted": true
}